set more off
clear
set mem 50m

global code = "r:/markup/code"
global data = "r:/markup/data"
global temp = "c:/temp"

foreach yyyy in 1963 1967 1972 1977 1982 1987 1992 {
    noisily display as text c(current_date) " " c(current_time) "    year `yyyy'"
    use $data/iodata/iodata`yyyy'.dta
    rename direct gdir
    rename indirect gindir
    tsset, clear
    collapse (sum) gdir gindir gtotal, by(year)
    capture confirm file $temp/iotemp1.dta
    if _rc==0 append using $temp/iotemp1.dta
    sort year
    qui save $temp/iotemp1.dta, replace
}

label var year "Year"
label var gdir "Direct shipments to government"
label var gindir "Indirect shipments to government"
label var gtotal "Total shipments to government"
compress
save r:/govindustry/analysis/201005/agg-g-io.dta, replace
erase $temp/iotemp1.dta 