********************************************************************************
local progname = "indirect-naics.do"
local v = "2.0.0"
* 06 Oct 2009
*
* Chris Nekarda
* cnekarda@ucsd.edu
*
********************************************************************************
set more off
noisily display as text "$S_DATE $S_TIME  begin `progname' (v`v')"

sort prodcode conscode
encode conscode, gen(conscode6)
encode prodcode, gen(prodcode6)

capture tab prodcode6, matrow(prod)
local numprod = r(r)
capture tab conscode6, matrow(cons)
local numcons = r(r)
noisily display as text "$S_DATE $S_TIME  numprod = `numprod', numcons = `numcons'"

capture confirm var obs
if _rc==0 drop obs
gen obs = _n
capture confirm var indir
if _rc==0 drop indir
gen indir = 0
capture confirm var indirect
if _rc==0 drop indirect

tab prodcode6 if prodcode=="311111", matrow(mfgstart)
local mfgstart=mfgstart[1,1]
tab prodcode6 if prodcode=="33999A", matrow(mfgend)
local mfgend=mfgend[1,1]

* get input requirement
* i = prod industry, j = cons industry
noisily display as text "$S_DATE $S_TIME  begin loop"
forvalues i = `mfgstart'/`mfgend' {
    local prodcode = prod[`i',1]
    noisily display as text "$S_DATE $S_TIME  prodcode: `prodcode'"
    forvalues j = 1/`numcons' {
        local conscode = cons[`j',1]
        *noisily display as text "$S_DATE $S_TIME  conscode: `conscode'"
        if `prodcode'!=`conscode' {
            capture tab obs if conscode6==`conscode' & prodcode6==`prodcode', matrow(obsnum)
            local obs = obsnum[1,1]
            local req = req[`obs']
            qui replace indir = direct*`req' if prodcode6==`conscode' & conscode6==`prodcode'
        }
    }
}
noisily display as text "$S_DATE $S_TIME  end loop"
egen indirect = sum(indir), by(conscode6)
drop indir obs

drop prodcode6 conscode6

noisily display as text "$S_DATE $S_TIME  end `progname'"
