********************************************************************************
local progname = "indirect.do"
local v = "1.3.2"
local d = "12 Feb 2008"
*
* Chris Nekarda
* cnekarda@ucsd.edu
*
********************************************************************************
set more off
noisily display as text c(current_date) " " c(current_time) "  begin `progname' (v`v' `d')"

sort prodcode6 conscode6

capture tab prodcode6, matrow(prod)
local numprod = r(r)
capture tab conscode6, matrow(cons)
local numcons = r(r)
noisily display c(current_date) " " c(current_time) "  numprod = `numprod', numcons = `numcons'"

capture confirm var obs
if _rc==0 drop obs
gen obs = _n
capture confirm var indir
if _rc==0 drop indir
gen indir = 0
capture confirm var indirect
if _rc==0 drop indirect

* get input requirement
* i = prod industry, j = cons industry
noisily display as text c(current_date) " " c(current_time) "  begin loop"
forvalues i = 1/`numprod' {
    local prodcode = prod[`i',1]
    if `prodcode'>=130000 & `prodcode'<650000 {
        noisily display c(current_date) " " c(current_time) "  prodcode: `prodcode'"
        forvalues j = 1/`numcons' {
            local conscode = cons[`j',1]
            *noisily display c(current_date) " " c(current_time) "  conscode: `conscode'"
            if `prodcode'!=`conscode' {
                capture tab obs if conscode6==`conscode' & prodcode6==`prodcode', matrow(obsnum)
                local obs = obsnum[1,1]
                local req = req[`obs']
                qui replace indir = direct*`req' if prodcode6==`conscode' & conscode6==`prodcode'
            }
        }
    }
}
noisily display as text c(current_date) " " c(current_time) "  end loop"
egen indirect = sum(indir), by(conscode6)
drop indir obs

noisily display as text c(current_date) " " c(current_time) "  end `progname'"
