********************************************************************************
local progname = "ioship1982.do"
local v = "2.1"
* 03 Feb 2009 18:35
*
* Chris Nekarda
* cnekarda@ucsd.edu
*
* Global variables: data
*
********************************************************************************
set more off

infile using $data/iodata/orig/io1982.dct , using($data/iodata/orig/io1982.dat) clear
gen int year=1982
order year
replace total=total/10
rename conscode conscode6
rename prodcode prodcode6
sort prodcode6 conscode6

collapse (sum) total, by(year prodcode6)

* aggregation
gen int prodcode4 = int(prodcode6/100)
label var prodcode4 "Producing industry code"
foreach type in prod {
    replace `type'code4=1710 if `type'code6==170200
    replace `type'code4=1710 if `type'code6==170300
    replace `type'code4=1710 if `type'code6==170400
    replace `type'code4=1710 if `type'code6==170500
    replace `type'code4=2408 if `type'code6==240200
    replace `type'code4=2408 if `type'code6==240300
    replace `type'code4=2408 if `type'code6==240602
    replace `type'code4=3206 if `type'code6==361800
    replace `type'code4=3805 if `type'code6==380200
    replace `type'code4=3805 if `type'code6==380300
    replace `type'code4=5308 if `type'code6==530600
    replace `type'code4=5407 if `type'code6==540600
    replace `type'code4=6210 if `type'code6==630100
    replace `type'code4=6412 if `type'code6==640600
    replace `type'code4=6412 if `type'code6==640701
    replace `type'code4=6412 if `type'code6==640702
}
collapse (sum) total, by(year prodcode4)
rename total vshipio
keep if prodcode4>=1300 & prodcode4<6500
rename prodcode4 iocode4
order year iocode4
sort iocode4 year

save $data/iodata/ioship1982.dta, replace
