********************************************************************************
local progname = "ioship1992.do"
local v = "2.2"
* 08 Feb 2009 10:40
*
* Chris Nekarda
* cnekarda@ucsd.edu
*
* Global variables: data
*
********************************************************************************
set more off

insheet using $data/iodata/orig/io1992.dat, tab clear
rename v1 prodcode
rename v2 conscode
rename v4 total
keep prodcode conscode total
gen c5 = substr(conscode,5,1)
replace c5 = "0" if c5=="I" | c5=="C"
replace conscode = substr(conscode,1,4) + c5 + substr(conscode,6,1)
drop c5
destring conscode, replace
destring prodcode, replace
collapse (sum) total, by(prodcode conscode)
gen int year=1992
rename conscode conscode6
rename prodcode prodcode6
collapse (sum) total, by(year prodcode6)

* aggregation
gen int prodcode4 = int(prodcode6/100)
label var prodcode4 "Producing industry code"
foreach type in prod {
    replace `type'code4=1710 if `type'code6==171100
    replace `type'code4=4904 if `type'code6==470405
    replace `type'code4=4704 if `type'code6==470500
    replace `type'code4=4907 if `type'code6==490800
    replace `type'code4=5000 if `type'code6==500100
    replace `type'code4=5000 if `type'code6==500200
    replace `type'code4=5103 if `type'code6==500300
    replace `type'code4=5000 if `type'code6==500400
    replace `type'code4=5604 if `type'code6==560500
    replace `type'code4=5805 if `type'code6==580600
    replace `type'code4=5805 if `type'code6==580700
    replace `type'code4=5803 if `type'code6==620800
    replace `type'code4=5301 if `type'code6==621100
    replace `type'code4=6210 if `type'code6==620102
    replace `type'code4=6412 if `type'code6==640700
}
collapse (sum) total, by(year prodcode4)
rename total vshipio
keep if prodcode4>=1300 & prodcode4<6500
rename prodcode4 iocode4
order year iocode4
sort iocode4 year

save $data/iodata/ioship1992.dta, replace
