********************************************************************************
local progname = "make1997.do"
local v = "2.3"
* 06 Oct 2009
*
* Chris Nekarda
* cnekarda@ucsd.edu
*
* Global variables: data, temp
*
********************************************************************************
set more off

*** BLOCK 1
** load requirements data
insheet using $data/iodata/orig/tr1997.dat, comma clear
gen prodcode=substr(v1,1,6)
gen conscode=substr(v2,1,6)
rename v4 req
keep prodcode conscode req
sort prodcode conscode
save $temp/temp.dta, replace
** load use data
insheet using $data/iodata/orig/io1997.dat, comma clear
gen prodcode=substr(v1,1,6)
gen conscode=substr(v2,1,6)
rename v5 total
keep prodcode conscode total
sort prodcode conscode
merge prodcode conscode using $temp/temp.dta
tab _merge
replace total = 0 if total==.
replace req = 0 if req==.
drop _merge
erase $temp/temp.dta
gen int year=1997
order year
sort prodcode conscode
** define government industries
gen byte govt=1 if conscode=="F06C00"
qui replace govt=1 if conscode=="F06I00"
qui replace govt=1 if conscode=="F07C00"
qui replace govt=1 if conscode=="F07I00"
** calculate direct and indirect shipments
egen foo = sum(total) if govt==1, by(year prodcode)
egen direct = max(foo), by(year prodcode)
drop foo
replace direct = 0 if direct==.
noisily run $code/indirect-naics.do
save $data/iodata/io1997-indir.dta, replace
*/

/*** BLOCK 2
use $data/iodata/io1997-indir.dta
** aggregation
gen conscode4 = substr(conscode,1,4)
destring conscode4, replace force
label var conscode4 "Consuming industry code"
gen prodcode4 = substr(prodcode,1,4)
label var prodcode4 "Producing industry code"
destring prodcode4, replace force
** NEED TO FIGURE THIS OUT
*foreach type in cons prod {
*    replace `type'code4=1710 if `type'code6==171100
*    replace `type'code4=4904 if `type'code6==470405
*    replace `type'code4=4704 if `type'code6==470500
*    replace `type'code4=4907 if `type'code6==490800
*    replace `type'code4=5000 if `type'code6==500100
*    replace `type'code4=5000 if `type'code6==500200
*    replace `type'code4=5103 if `type'code6==500300
*    replace `type'code4=5000 if `type'code6==500400
*    replace `type'code4=5604 if `type'code6==560500
*    replace `type'code4=5805 if `type'code6==580600
*    replace `type'code4=5805 if `type'code6==580700
*    replace `type'code4=5803 if `type'code6==620800
*    replace `type'code4=5301 if `type'code6==621100
*    replace `type'code4=6210 if `type'code6==620102
*    replace `type'code4=6412 if `type'code6==640700
*}
collapse (mean) direct (sum) indirect, by(year prodcode4 conscode4)
keep if prodcode4>=1300 & prodcode4<6500
keep if prodcode4==conscode4
drop conscode4
rename prodcode4 iocode4
gen gtotal = direct+indirect
order year iocode4
sort iocode4

save $data/iodata/iodata1997.dta, replace
*/
