********************************************************************************
local progname = "indirect-1997.do"
local v = "3.0"
* 31 Jan 2009
*
* Chris Nekarda
* cnekarda@ucsd.edu
*
********************************************************************************
set more off
noisily display as text c(current_date) " " c(current_time) "  begin `progname' (v`v')"

use $datapath/io1997-dir.dta, replace

* make prodcode and conscode numeric
encode prodcode, gen(nprodcode)
encode conscode, gen(nconscode)

capture tab nprodcode, matrow(prod)
local numprod = r(r)
capture tab nconscode, matrow(cons)
local numcons = r(r)
noisily display c(current_date) " " c(current_time) "  numprod = `numprod', numcons = `numcons'"

capture confirm var obs
if _rc==0 drop obs
gen obs = _n
capture confirm var indir
if _rc==0 drop indir
gen indir = 0
capture confirm var indirect
if _rc==0 drop indirect

* get input requirement
* i = prod industry, j = cons industry
noisily display as text c(current_date) " " c(current_time) "  begin loop"
forvalues i = 1/`numprod' {
    local nprodcode = prod[`i',1]
    * the numeric values below are hard-coded. they correspond to the string producer codes for manufacturing only
    if `nprodcode'>=46 & `nprodcode'<380 {
        noisily display c(current_date) " " c(current_time) "  nprodcode: `nprodcode'"
        forvalues j = 1/`numcons' {
            local nconscode = cons[`j',1]
            *noisily display c(current_date) " " c(current_time) "  nconscode: `nconscode'"
            if `nprodcode'!=`nconscode' {
                capture tab obs if nconscode==`nconscode' & nprodcode==`nprodcode', matrow(obsnum)
                local obs = obsnum[1,1]
                local req = req[`obs']
                qui replace indir = direct*`req' if nprodcode==`nconscode' & nconscode==`nprodcode'
            }
        }
    }
}
noisily display as text c(current_date) " " c(current_time) "  end loop"
egen indirect = sum(indir), by(conscode)
drop indir obs n*code

merge prodcode conscode using $datapath/io1997-dir.dta
drop _merge
save $datapath/io1997-indir.dta, replace

noisily display as text c(current_date) " " c(current_time) "  end `progname'"
