set more off

* load raw data
insheet using $datapath/iodata/tr1997.dat, comma clear
rename v1 prodcode
rename v2 conscode
drop v3
rename v4 req
sort prodcode conscode
*gen prod2=substr(prodcode,1,2)
*gen cons2=substr(conscode,1,2)
*destring prod2, replace force
*destring cons2, replace force
*keep if prod2>=31 & prod2<=33 & cons2>=31 & cons2<=33
*drop prod2 cons2
save $temppath/temp.dta, replace

insheet using $datapath/iodata/io1997.dat, comma clear
rename v1 prodcode
qui replace prodcode = substr(prodcode,1,6)
*gen prod2=substr(prodcode,1,2)
*destring prod2, replace force
rename v2 conscode
gen c4 = substr(conscode,4,1)
replace c4 = "0" if c4=="I" | c4=="C"
replace conscode = substr(conscode,1,3) + c4 + substr(conscode,5,2)
drop c4
*gen cons2=substr(conscode,1,2)
*replace cons2="90" if cons2=="F0"
*destring cons2, replace force
*keep if (prod2>=31 & prod2<=33) & (cons2>=31 & cons2<=33 | cons2==90)
rename v5 total
keep prodcode conscode total
compress
collapse (sum) total, by(prodcode conscode)
sort prodcode conscode
merge prodcode conscode using $temppath/temp.dta
tab _merge
replace total = 0 if total==.
replace req = 0 if req==.
drop _merge
erase $temppath/temp.dta
gen int year=1997
order year
sort prodcode conscode
* calculate direct and indirect shipments
egen foo = sum(total) if conscode=="F06000" | conscode=="F07000", by(year prodcode)
egen direct = max(foo), by(year prodcode)
drop foo
replace direct = 0 if direct==.
save $datapath/io1997-dir.dta, replace
*noisily run indirect-1997.dta

/*
use $datapath/io1997-indir.dta
* aggregation
gen int conscode4 = int(conscode6/100)
label var conscode4 "Consuming industry code"
gen int prodcode4 = int(prodcode6/100)
label var prodcode4 "Producing industry code"
foreach type in cons prod {
    replace `type'code4=1710 if `type'code6==171100
    replace `type'code4=4904 if `type'code6==470405
    replace `type'code4=4704 if `type'code6==470500
    replace `type'code4=4907 if `type'code6==490800
    replace `type'code4=5000 if `type'code6==500100
    replace `type'code4=5000 if `type'code6==500200
    replace `type'code4=5103 if `type'code6==500300
    replace `type'code4=5000 if `type'code6==500400
    replace `type'code4=5604 if `type'code6==560500
    replace `type'code4=5805 if `type'code6==580600
    replace `type'code4=5805 if `type'code6==580700
    replace `type'code4=5803 if `type'code6==620800
    replace `type'code4=5301 if `type'code6==621100
    replace `type'code4=6210 if `type'code6==620102
    replace `type'code4=6412 if `type'code6==640700
}
collapse (sum) direct indirect, by(year prodcode4 conscode4)
keep if prodcode4>=1300 & prodcode4<6500
keep if prodcode4==conscode4
drop conscode4
rename prodcode4 iocode4
gen gtotal = direct+indirect
order year iocode4
sort iocode4

save $datapath/iodata1997.dta, replace
*/
