********************************************************************************
local progname = "ioship1987.do"
local v = "2.1"
* 03 Feb 2009 18:35
*
* Chris Nekarda
* cnekarda@ucsd.edu
*
* Global variables: data
*
********************************************************************************
set more off

infile using $data/iodata/orig/io1987.dct , using($data/iodata/orig/io1987.dat) clear
destring conscode, replace
destring prodcode, replace
gen int year=1987
order year
rename conscode conscode6
rename prodcode prodcode6
sort prodcode6 conscode6

collapse (sum) total, by(year prodcode6)

* aggregation
gen int prodcode4 = int(prodcode6/100)
label var prodcode4 "Producing industry code"
foreach type in prod {
    replace `type'code4=1710 if `type'code6==171100
    replace `type'code4=4904 if `type'code6==470405
    replace `type'code4=4704 if `type'code6==470500
    replace `type'code4=4907 if `type'code6==490800
    replace `type'code4=5000 if `type'code6==500100
    replace `type'code4=5000 if `type'code6==500200
    replace `type'code4=5103 if `type'code6==500300
    replace `type'code4=5000 if `type'code6==500400
    replace `type'code4=5604 if `type'code6==560500
    replace `type'code4=5805 if `type'code6==580600
    replace `type'code4=5805 if `type'code6==580700
    replace `type'code4=5803 if `type'code6==620800
    replace `type'code4=5301 if `type'code6==621100
    replace `type'code4=6210 if `type'code6==620102
    replace `type'code4=6412 if `type'code6==640700
}
collapse (sum) total, by(year prodcode4)
rename total vshipio
keep if prodcode4>=1300 & prodcode4<6500
rename prodcode4 iocode4
order year iocode4
sort iocode4 year

save $data/iodata/ioship1987.dta, replace
