set more off
/*
infile using io1967.dct, using(io1967.dat) clear
gen int year=1967
order year

replace conscode=conscode*100
replace conscode=960000 if conscode==971000
replace conscode=970000 if conscode==972000
rename conscode conscode6

replace prodcode=prodcode*100
rename prodcode prodcode6

sort prodcode6 conscode6

egen foo = sum(total) if conscode6==960000 | conscode6==970000, by(year prodcode6)
egen direct = max(foo), by(year prodcode6)
drop foo
replace direct = 0 if direct==.

noisily run indirect
*/
use io1967indir.dta, replace

* aggregation
gen int conscode4 = int(conscode6/100)
label var conscode4 "Consuming industry code"
gen int prodcode4 = int(prodcode6/100)
label var prodcode4 "Producing industry code"
foreach type in cons prod {
    replace `type'code4=1303 if `type'code6==130400
    replace `type'code4=1710 if `type'code6==170200
    replace `type'code4=1710 if `type'code6==170300
    replace `type'code4=1710 if `type'code6==170400
    replace `type'code4=1710 if `type'code6==170500
    replace `type'code4=1710 if `type'code6==170800
    replace `type'code4=2408 if `type'code6==240200
    replace `type'code4=2408 if `type'code6==240300
    replace `type'code4=2408 if `type'code6==240600
    replace `type'code4=3206 if `type'code6==361800
    replace `type'code4=3805 if `type'code6==380200
    replace `type'code4=3805 if `type'code6==380300
    replace `type'code4=4211 if `type'code6==420600
    replace `type'code4=4211 if `type'code6==420900
    replace `type'code4=5104 if `type'code6==510200
    replace `type'code4=5308 if `type'code6==530600
    replace `type'code4=5407 if `type'code6==540600
    replace `type'code4=6004 if `type'code6==600300
    replace `type'code4=6103 if `type'code6==610400
    replace `type'code4=6210 if `type'code6==630100
    replace `type'code4=6412 if `type'code6==640600
    replace `type'code4=6412 if `type'code6==640700
}
collapse (sum) direct indirect, by(year prodcode4 conscode4)
keep if prodcode4>=1300 & prodcode4<6500
keep if prodcode4==conscode4
drop conscode4
rename prodcode4 iocode4
gen gtotal = direct+indirect
order year iocode4
sort iocode4

save iodata1967.dta, replace
