********************************************************************************
local progname = "make1977.do"
local v = "2.1"
* 03 Feb 2009 18:35
*
* Chris Nekarda
* cnekarda@ucsd.edu
*
* Global variables: data
*
********************************************************************************
set more off

/* load raw data
infile using $data/iodata/orig/tr1977.dct, using($data/iodata/orig/tr1977.dat) clear
sort prodcode conscode
save $temppath/temp.dta, replace
infile using $data/iodata/orig/io1977.dct, using($data/iodata/orig/io1977.dat) clear
sort prodcode conscode
merge prodcode conscode using $temppath/temp.dta
tab _merge
replace total = 0 if total==.
replace req = 0 if req==.
drop _merge
erase $temppath/temp.dta
gen int year=1977
order year
replace conscode=conscode*100
rename conscode conscode6
replace prodcode=prodcode*100
rename prodcode prodcode6
sort prodcode6 conscode6

* calculate direct and indirect shipments
egen foo = sum(total) if conscode6==960000 | conscode6==970000, by(year prodcode6)
egen direct = max(foo), by(year prodcode6)
drop foo
replace direct = 0 if direct==.
noisily run $code/indirect.do
*/
use $data/iodata/io1977-indir.dta

* aggregation
gen int conscode4 = int(conscode6/100)
label var conscode4 "Consuming industry code"
gen int prodcode4 = int(prodcode6/100)
label var prodcode4 "Producing industry code"
foreach type in cons prod {
    replace `type'code4=1710 if `type'code6==170200
    replace `type'code4=1710 if `type'code6==170300
    replace `type'code4=1710 if `type'code6==170400
    replace `type'code4=1710 if `type'code6==170500
    replace `type'code4=2408 if `type'code6==240200
    replace `type'code4=2408 if `type'code6==240300
    replace `type'code4=2408 if `type'code6==240600
    replace `type'code4=3206 if `type'code6==361800
    replace `type'code4=3805 if `type'code6==380200
    replace `type'code4=3805 if `type'code6==380300
    replace `type'code4=5308 if `type'code6==530600
    replace `type'code4=5407 if `type'code6==540600
    replace `type'code4=6210 if `type'code6==630100
    replace `type'code4=6412 if `type'code6==640600
    replace `type'code4=6412 if `type'code6==640700
}
collapse (mean) direct (sum) indirect, by(year prodcode4 conscode4)
keep if prodcode4>=1300 & prodcode4<6500
keep if prodcode4==conscode4
drop conscode4
rename prodcode4 iocode4
gen gtotal = direct+indirect
order year iocode4
sort iocode4

save $data/iodata/iodata1977.dta, replace
