********************************************************************************
local progname = "make1992.do"
local v = "2.1"
* 03 Feb 2009 18:35
*
* Chris Nekarda
* cnekarda@ucsd.edu
*
* Global variables: data
*
********************************************************************************
set more off

/* load raw data
infile using $data/iodata/orig/tr1992.dct, using($data/iodata/orig/tr1992.dat) clear
sort prodcode conscode
save $temp/temp.dta, replace
insheet using $data/iodata/orig/io1992.dat, tab clear
rename v1 prodcode
rename v2 conscode
rename v4 total
keep prodcode conscode total
gen c5 = substr(conscode,5,1)
replace c5 = "0" if c5=="I" | c5=="C"
replace conscode = substr(conscode,1,4) + c5 + substr(conscode,6,1)
drop c5
destring conscode, replace
destring prodcode, replace
collapse (sum) total, by(prodcode conscode)
sort prodcode conscode
merge prodcode conscode using $temp/temp.dta
tab _merge
replace total = 0 if total==.
replace req = 0 if req==.
drop _merge
erase $temp/temp.dta
gen int year=1992
order year
rename conscode conscode6
rename prodcode prodcode6
sort prodcode6 conscode6

* calculate direct and indirect shipments
egen foo = sum(total) if conscode6==960000 | conscode6==970000, by(year prodcode6)
egen direct = max(foo), by(year prodcode6)
drop foo
replace direct = 0 if direct==.
noisily run $code/indirect.do
save $data/io1992-indir.dta, replace
*/
use $data/iodata/io1992-indir.dta

* aggregation
gen int conscode4 = int(conscode6/100)
label var conscode4 "Consuming industry code"
gen int prodcode4 = int(prodcode6/100)
label var prodcode4 "Producing industry code"
foreach type in cons prod {
    replace `type'code4=1710 if `type'code6==171100
    replace `type'code4=4904 if `type'code6==470405
    replace `type'code4=4704 if `type'code6==470500
    replace `type'code4=4907 if `type'code6==490800
    replace `type'code4=5000 if `type'code6==500100
    replace `type'code4=5000 if `type'code6==500200
    replace `type'code4=5103 if `type'code6==500300
    replace `type'code4=5000 if `type'code6==500400
    replace `type'code4=5604 if `type'code6==560500
    replace `type'code4=5805 if `type'code6==580600
    replace `type'code4=5805 if `type'code6==580700
    replace `type'code4=5803 if `type'code6==620800
    replace `type'code4=5301 if `type'code6==621100
    replace `type'code4=6210 if `type'code6==620102
    replace `type'code4=6412 if `type'code6==640700
}
collapse (mean) direct (sum) indirect, by(year prodcode4 conscode4)
keep if prodcode4>=1300 & prodcode4<6500
keep if prodcode4==conscode4
drop conscode4
rename prodcode4 iocode4
gen gtotal = direct+indirect
order year iocode4
sort iocode4

save $data/iodata/iodata1992.dta, replace
